%global momorel 2

Summary: vector animation renderer
Name:    synfigstudio
Version: 0.61.08
Release: %{momorel}m%{?dist}
Group:   Applications/Multimedia
License: GPL
URL:     http://synfig.org/
Source0: http://dl.sourceforge.net/sourceforge/synfig/%{name}-%{version}.tar.gz
NoSource: 0
BuildRequires: etl-devel >= 0.04.11 synfig-devel >= 0.61.08
BuildRequires: OpenEXR-devel
BuildRequires: libxml++-devel libsigc++-devel
BuildRequires: glibmm-devel gtkmm-devel
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
synfig is a vector based 2D animation package. It is designed to be capable of producing feature-film quality animation. It eliminates the need for tweening, preventing the need to hand-draw each frame. synfig features spatial and temporal resolution independence (sharp and smooth at any resolution or framerate), high dynamic range images, and a flexible plugin system.

synfigstudio is the animation studio for synfig and provides the GUI
interface to create synfig animations which are saved in synfig .sif
format.

%package devel
Summary:        Header files and libraries for a development with %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description devel
Header files and libraries for a development with %{name}


%prep
%setup -q

%build
%configure
%make

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

%find_lang %{name}

rm -rf %{buildroot}%{_libdir}/libsynfigapp.la

%clean
rm -rf %{buildroot}

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%doc README INSTALL ChangeLog* AUTHORS COPYING NEWS ABOUT-NLS TODO
%{_bindir}/synfig*
%{_libdir}/lib*.so.*
%{_datadir}/pixmaps/*
%{_datadir}/mime-info/*
%{_datadir}/applications/*.desktop

%files devel
%defattr(-,root,root)
%{_includedir}/synfigapp-0.0
%{_libdir}/lib*.so

%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.61.08-2m)
- rebuild against rpm-4.6

* Mon Apr 21 2008 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.61.08-1m)
- import to Momonga
